/*  
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
 * USA.
 *
 * $Id$
 */

#define LMAX 256
#define DIRDEF "/.wnews"
#define CONFIG "/.wnews/config"
#define RSOURC "/.wnews/resources"

#define PROXY "PROXY"
#define INTERACTIVE "INTERACTIVE"
#define BROWSER "BROWSER"
#define GZIPO   "GZIP"
#define TMPO	"TMPDIR"

#define KUP      "KEY_UP"
#define KUD      "KEY_DOWN"
#define KPUP     "KEY_PUP"
#define KPDN     "KEY_PDN"
#define KURL     "KEY_URL"
#define KLEFT    "KEY_LEFT"
#define KRIGHT   "KEY_RIGHT"
#define KTAB     "KEY_TAB"
#define KENTER   "KEY_ENTER"
#define KBROWSER "KEY_BROWSE"
#define KQUIT    "KEY_QUIT"

#ifdef XCUT
#define KCUT     "KEY_CUT"
#define KNUM 12
#else
#define KNUM 11
#endif

/* Alternative key maps */
int AUP;
int AUD;
int AENTER;
int ATAB;
int AURL;
int ARIGHT;
int ALEFT;
int AQUIT;
int ABROWSER;
int APUP;
int APDN;

#ifdef XCUT
int ACUT;
#endif

#ifndef KEY_SPACE
#  define KEY_SPACE ' '
#endif
#ifndef KEY_TAB
#  define KEY_TAB '\t'
#endif
#ifndef KEY_ENTER
#  define KEY_ENTER '\n'
#endif

struct passwd *me;
char *proxy, *browser, *gzip, *tmpdir;
int interactive, ASCII;

static const char df_config[]=
"#######################################\n"
"# __      ___ __   _____      _____   #\n"
"# \\ \\ /\\ / / '_ \\ / _ \\ \\ /\\ / / __|  #\n"
"#  \\ V  V /| | | |  __/\\ V  V /\\__ \\  #\n"
"#   \\_/\\_/ |_| |_|\\___| \\_/\\_/ |___/  #\n"
"#    The default wnews config file    #\n"
"#######################################\n"
"GZIP "
#ifdef GZIP
GZIP
#else
"gunzip -c %s 2> /dev/null\n"
#endif
"TMPDIR /tmp\n"
"INTERACTIVE yes\n";

static const char df_resources[]=
"#######################################\n"
"# __      ___ __   _____      _____   #\n"
"# \\ \\ /\\ / / '_ \\ / _ \\ \\ /\\ / / __|  #\n"
"#  \\ V  V /| | | |  __/\\ V  V /\\__ \\  #\n"
"#   \\_/\\_/ |_| |_|\\___| \\_/\\_/ |___/  #\n"
"#   The default wnews resources file  #\n"
"#######################################\n"
"Advisories|The latest public advisories from k-otik.com|www.k-otik.com/advisorieseng.xml\n"
"BBC World|The latest world news from the BBC network|news.bbc.co.uk/rss/newsonline_uk_edition/world/rss091.xml\n"
"Bugtraq|The latest vulnerabilities from bugtraq|www.securityfocus.com/rss/vulnerabilities.xml\n"
"CNN Top news|The headline-making news of CNN|rss.cnn.com/rss/cnn_topstories.rss\n"
"CNN World|The latest world news from the CNN network|rss.cnn.com/rss/cnn_world.rss\n"
"Exploits|The latest public exploits from k-otik.com|www.k-otik.com/exploits.xml\n"
"FreeBSD|The latest news from FreeBSD.org|www.freebsd.org/news/news.rdf\n"
"Freshmeat|One of the largest open-source software directories|download.freshmeat.net/backend/fm-releases-global.xml\n"
"FreshPorts|The latest news and updates in FreeBSD ports|www.freshports.org/news.php?date=1&time=1&committer=1\n"
"Gamespot|One of the definitive sources for the gamer|www.gamespot.com/misc/rss/gamespot_updates_news.xml\n"
"Kerneltrap|The latest in open-source kernel development|kerneltrap.org/node/feed\n"
"MIT Technology|Promoting the understanding of emerging technologies and their impact|www.technologyreview.com/newsfeed/rnb/trrd_newsfeed.xml\n"
"MSDN|News from the microsoft developer network|msdn.microsoft.com/rss.xml\n"
"PC World|The latest technology news from PC world|rss.pcworld.com/rss/latestnews.rss\n"
"Reuters|The latest breaking news from Reuters|www.microsite.reuters.com/rss/topNews\n"
"Salon|A popular internet news resources|www.salon.com/feed/RDF/salon_use.rdf\n"
"SecurityFocus|News and information from the IT world|www.securityfocus.com/rss/news.xml\n"
"Slashdot|News for nerds, stuff that matters|slashdot.org/index.rss\n"
"TIME|With no doubt, one of the innovators in news|rss.time.com/web/time/rss/top/index.xml\n"
"The Register|One of the definitive news sources of the internet|www.theregister.co.uk/excerpts.rss\n"
"VuXML FreeBSD|The XML-based vulnerability database|www.vuxml.org/freebsd/rss.xml\n"
"VuXML OpenBSD|The XML-based vulnerability database|www.vuxml.org/openbsd/rss.xml\n"
"Wired|One of the leading technology journals|www.wired.com/news/feeds/rss2/0,2610,,00.xml\n"
"Yahoo|The latest headline-breaking news from Yahoo!|rss.news.yahoo.com/rss/topstories\n";

int cconfig(void);
struct resource *rconfig(void);
int config(void);
